<template>
  <div ref="errorblock" v-if="hasErrors">
    <div class="warning-red-block"> <!--v-if="Object.keys(errors).length > 0"-->
      <div class="close"></div>
      <slot :errors="vErrors.items">
        <ul class="without-marker">
          <li v-for="error in vErrors.items" v-html="error.msg"></li>
        </ul>
      </slot>
    </div>
  </div>
</template>


<script>
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'

  export default {
    name: 'VuexErrorBlock',
    props: {
      errorsFields: {
        type: Array,
        default: () => {
          return ['mainErrorBlock']
        }
      }
    },
    mixins: [ErrorHandleMixin],
    mounted () {
      this.errorsFields.push('mainErrorBlock')
      this.errorsFields.forEach(field => this.fields[field] = '')
    }
  }
</script>

<style scoped>

</style>
